%global ver 2.6.2
#%%define packver %{ver}pre4
%global momorel 4

Summary: A program for synchronizing files over a network.
Name: rsync
Version: %{ver}
Release: %{momorel}m
Group: Applications/Internet
URL: http://rsync.samba.org/
# Source0: http://rsync.samba.org/ftp/rsync/preview/%{name}-%{packver}.tar.gz
Source0: http://rsync.samba.org/ftp/rsync/%{name}-%{version}.tar.gz
NoSource: 0
Source1: rsync.xinetd
Patch0: rsync-2.6.2-util.c.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: momonga-rpmmacros >= 20040310-6m
License: GPL

%description
Rsync uses a quick and reliable algorithm to very quickly bring
remote and host files into sync.  Rsync is fast because it just
sends the differences in the files over the network (instead of
sending the complete files). Rsync is often used as a very powerful
mirroring process or just as a more capable replacement for the
rcp command.  A technical report which describes the rsync algorithm
is included in this package.

Install rsync if you need a powerful mirroring program.

%prep
%setup -q
%patch0 -p1
%build
%configure \
%if %{_ipv6}
  --enable-ipv6
%endif

%make

%install
rm -rf %{buildroot}

%makeinstall
mkdir -p %{buildroot}/etc/xinetd.d
install -m 644 %{SOURCE1} %{buildroot}/etc/xinetd.d/rsync

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc tech_report.tex README COPYING *NEWS TODO
%config(noreplace) /etc/xinetd.d/rsync
%{_prefix}/bin/rsync
%{_mandir}/man1/rsync.1*
%{_mandir}/man5/rsyncd.conf.5*


%changelog
* Mon Aug 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.6.2-4m)
- fix a security hole in non-chroot rsync daemon

* Sat Jul 31 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.6.2-3m)
- add /etc/xinetd.d/rsync

* Mon Jul 12 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.2-2m)
- add BuildRequires: momonga-rpmmacros >= 20040310-6m

* Tue May  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.6.2-1m)
- bugfix release that mainly fixes a bug with the --relative option (-R)
  in 2.6.1 that could cause files to be transferred incorrectly

* Wed Apr 28 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.6.1-1m)
- primarily a performance release
- security fix that affects only people running a read/write daemon
  WITHOUT using chroot

* Sat Jan  3 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.6.0-1m)
- lots of bugfixing and enhancements

* Fri Dec  5 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.5.7-1m)
- major security fixes

* Thu Jan 30 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (2.5.6-2m)
- use ssh instead of rsh
- use %%makeinstall
- add more docs

* Thu Jan 30 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.5.6-1m)

* Tue Apr  2 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.5.5-2k)

* Thu Mar 14 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.5.4-2k)

* Tue Mar 12 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (2.5.3-2k)
- up to 2.5.3

* Sun Jan 27 2002 WATABE Toyokazu <toy2@kondara.org>
- (2.5.2-2k)
- update to 2.5.2, including security fix.

* Fri Jan  4 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.5.1-2k)

* Sat Dec  1 2001 Kazuhiko <kazuhiko@kondara.org>
- (2.5.0-2k)
- remove kame patch because it was merged

* Thu Nov 29 2001 Kazuhiko <kazuhiko@kondara.org>
- (2.4.7-0.0004002k)
- 2.4.7pre4

* Sun Nov 18 2001 Tsutomu Yasuda <tom@kondara.org>
- (2.4.7-0.0001004k)
  no optimize

* Wed Aug 15 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.4.7-0.0001002k)
- update to 2.4.7pre1
- add URL: tag

* Tue Mar  6 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.6-4k)
- errased IPv6 function with %{_ipv6} macro

* Thu Oct 19 2000 Motonobu Ichimura <famao@kondara.org>
- updated to 2.4.6 and IPv6 patch

* Fri Aug 11 2000 AYUHANA Tomonori <l@kondara.org>
- (2.4.4-1k)
- update to 2.4.4

* Thu Jun 26 2000 Masaaki Noro <noro@flab.fujitsu.co.jp>
- updated to 2.4.3
- merged IPv6 kame patch

* Thu Feb 24 2000 Tenkou N. Hattori <tnh@kondara.org>
- version down to 2.3.2 :-p

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- add "max. delete" patch to limit damage when server is hosed.

* Wed Apr 07 1999 Bill Nottingham <notting@redhat.com>
- update to 2.3.1.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Mar 16 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.3.0.

* Sat Mar 13 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.3.0 beta.

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 2.2.1

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.1.1

* Mon Aug 17 1998 Erik Troan <ewt@redhat.com>
- updated to 2.1.0

* Thu Aug 06 1998 Erik Troan <ewt@redhat.com>
- buildrooted and attr-rophied
- removed tech-report.ps; the .tex should be good enough

* Mon Aug 25 1997 John A. Martin <jam@jamux.com>
- Built 1.6.3-2 after finding no rsync-1.6.3-1.src.rpm although there
  was an ftp://ftp.redhat.com/pub/contrib/alpha/rsync-1.6.3-1.alpha.rpm
  showing no packager nor signature but giving 
  "Source RPM: rsync-1.6.3-1.src.rpm".
- Changes from 1.6.2-1 packaging: added '%{optflags}' to make, strip
  to '%build', removed '%prefix'.

* Thu Apr 10 1997 Michael De La Rue <miked@ed.ac.uk>
- rsync-1.6.2-1 packaged.  (This entry by jam to credit Michael for the
  previous package(s).)
